function g1 = static_g1(T, y, x, params, T_flag)
% function g1 = static_g1(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = GLSW.static_g1_tt(T, y, x, params);
end
g1 = zeros(14, 14);
g1(1,1)=1;
g1(1,14)=(-(params(4)*getPowerDeriv(y(14),1-params(2),1)*getPowerDeriv(T(1),1/(1-params(2)),1)));
g1(2,2)=1-y(14)*T(9);
g1(2,3)=(-(y(14)*T(11)));
g1(2,14)=(-T(2));
g1(3,2)=T(9);
g1(3,3)=T(11);
g1(3,4)=(-(1/y(5)));
g1(3,5)=(-((-y(4))/(y(5)*y(5))));
g1(4,4)=(-params(4));
g1(4,5)=(-(1-params(4)));
g1(5,2)=(-y(12));
g1(5,4)=(-1);
g1(5,9)=1-1/(1+y(11));
g1(5,11)=(-((-y(9))/((1+y(11))*(1+y(11)))));
g1(5,12)=(-y(2));
g1(5,13)=y(14);
g1(5,14)=y(13);
g1(6,3)=(-y(12));
g1(6,5)=(-1);
g1(6,10)=1-1/(1+y(11));
g1(6,11)=(-((-y(10))/((1+y(11))*(1+y(11)))));
g1(6,12)=(-y(3));
g1(7,12)=1;
g1(7,13)=(-1);
g1(8,9)=params(4);
g1(8,10)=(-(1-params(4)));
g1(9,2)=(-(1/params(4)/T(3)*T(10)));
g1(9,4)=(-(T(10)*(-(y(2)/params(4)*1/(1-params(4))))/(T(3)*T(3))));
g1(9,12)=1;
g1(10,14)=1;
g1(11,1)=(-(T(2)/params(4)));
g1(11,2)=(-(y(1)*T(9)/params(4)));
g1(11,3)=(-(y(1)*T(11)/params(4)));
g1(11,6)=1;
g1(12,1)=(-((1-T(2))/(1-params(4))));
g1(12,2)=(-(y(1)*(-T(9))/(1-params(4))));
g1(12,3)=(-(y(1)*(-T(11))/(1-params(4))));
g1(12,7)=1;
g1(13,6)=(-params(4));
g1(13,7)=(-(1-params(4)));
g1(13,8)=1;
g1(14,4)=(-(T(8)*T(12)+T(7)*T(5)*T(5)*1/params(1)*T(6)*T(12)/T(6)));
g1(14,8)=(-(T(7)*T(5)*(T(6)*T(7)*T(5)*1/params(1)*T(13)-T(5)*1/params(1)*T(6)*T(7)*T(13))/(T(6)*T(6))));
g1(14,11)=1;
if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
end
end
