var Y c1_1 c1_2 c2_1 c2_2 C1 C2 C a1 a2 r P W1 n1;
varexo T;
parameters beta rho sigmae phi delta nbar;

load param_GLSW;
set_param_value('beta',beta);
set_param_value('rho',rho);
set_param_value('sigmae',sigmae);
set_param_value('phi',phi);
set_param_value('nbar',nbar);
set_param_value('delta',delta);

model;
Y = (phi*n1^(1-rho) + (1-phi)*nbar^(1-rho))^(1/(1-rho));
c1_1=c1_1/c1_2*n1;
c1_1/c1_2 = c2_1/c2_2;
(1 - phi)*nbar = phi*c2_1 + (1-phi)*c2_2;
a1(-1) = P*c1_1+c2_1+a1/(1+r)-W1*n1-exp(T);
a2(-1) = P*c1_2+c2_2+a2/(1+r)-nbar;
P=W1;
phi*a1=(1-phi)*a2;
P=((c1_1/phi)/(c2_1/(1-phi)))^(-rho);
n1=delta*nbar;
C1=(c1_1/c1_2)/phi*Y;
C2=(1-(c1_1/c1_2))/(1-phi)*Y;
C=phi*C1+(1-phi)*C2;
1+r = 1/beta*(C)^(rho-sigmae)*(1-phi)^rho*(c2_1)^(-rho)/(C(+1))^(rho-sigmae)*(1-phi)^rho*(c2_1(+1))^(-rho);

end;

shocks;
var T=sigmae^2;
end;

resid(1);
steady;

stoch_simul(order=1,irf=20, periods=200);
